Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 16/05/2013, à 09:43

golgot200

[Résolu]Demande confirmation de bug Filtres sous Gimp ....

Bonjour,

Voilà pour moi un bug qui n'ai vraiment pas cool du tout.

Dans la partie :

Filtres ---- Alpha vers logo ---- Glossy
Si je veux changer le Blend gradient reverse ou le outline gradience reverse par défault, juste de cliquer dessus le choix de textures me plante de suite Gimp 2.8.4. que je sois sous la 12.10 ou 13.04 ....

patrick@PC1:~$ gimp
*** Error in `gimp': double free or corruption (!prev): 0x0000000006267e90 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x80a46)[0x7f1bd8bf8a46]
gimp[0x5a6dcd]
gimp(gimp_pdb_dialog_run_callback+0xbe)[0x5bf9ce]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0x138)[0x7f1bd966e578]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x2294d)[0x7f1bd968094d]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0xf5e)[0x7f1bd9688b9e]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f1bd9688e82]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_object_set_valist+0x292)[0x7f1bd9675ec2]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_object_set+0xe7)[0x7f1bd9676717]
gimp(gimp_container_view_item_selected+0x110)[0x579390]
gimp(gimp_container_view_multi_selected+0xbc)[0x5795cc]                                  
gimp[0x575085]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x107a7)[0x7f1bd966e7a7]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x901)[0x7f1bd9688541]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f1bd9688e82]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x221d6e)[0x7f1bdc9bad6e]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x2262e8)[0x7f1bdc9bf2e8]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x12dc85)[0x7f1bdc8c6c85]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0x138)[0x7f1bd966e578]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x226fb)[0x7f1bd96806fb]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x4da)[0x7f1bd968811a]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f1bd9688e82]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x23dfe4)[0x7f1bdc9d6fe4]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(gtk_propagate_event+0xc4)[0x7f1bdc8c5434]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2db)[0x7f1bdc8c57eb]
/usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0(+0x5936c)[0x7f1bdc53f36c]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x146)[0x7f1bd91a5226]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x48578)[0x7f1bd91a5578]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_loop_run+0x6a)[0x7f1bd91a597a]
gimp(gimp_plug_in_main_loop+0x8e)[0x669dfe]
gimp(gimp_plug_in_manager_call_run_temp+0x2a2)[0x6785a2]
gimp[0x673d23]
gimp(gimp_procedure_execute_async+0x20f)[0x667bff]
gimp[0x4a39ce]
gimp(plug_in_run_cmd_callback+0xd6)[0x4a3d66]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_cclosure_marshal_VOID__OBJECTv+0x77)[0x7f1bd9671647]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x107a7)[0x7f1bd966e7a7]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x901)[0x7f1bd9688541]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f1bd9688e82]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0x138)[0x7f1bd966e578]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x2213f)[0x7f1bd968013f]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0xf5e)[0x7f1bd9688b9e]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f1bd9688e82]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x74d90)[0x7f1bdc80dd90]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x107a7)[0x7f1bd966e7a7]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x901)[0x7f1bd9688541]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f1bd9688e82]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(gtk_widget_activate+0x7c)[0x7f1bdc9d5e6c]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0xfd)[0x7f1bdc8d92fd]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x14064c)[0x7f1bdc8d964c]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x12dc85)[0x7f1bdc8c6c85]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0x138)[0x7f1bd966e578]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x226fb)[0x7f1bd96806fb]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x4da)[0x7f1bd968811a]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f1bd9688e82]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x23dfe4)[0x7f1bdc9d6fe4]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(gtk_propagate_event+0xc4)[0x7f1bdc8c5434]
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2db)[0x7f1bdc8c57eb]
/usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0(+0x5936c)[0x7f1bdc53f36c]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x146)[0x7f1bd91a5226]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x48578)[0x7f1bd91a5578]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_loop_run+0x6a)[0x7f1bd91a597a]
gimp(app_run+0x234)[0x481c84]
======= Memory map: ========
00400000-00960000 r-xp 00000000 08:01 2098341                            /usr/bin/gimp-2.8
00b60000-00b61000 r--p 00560000 08:01 2098341                            /usr/bin/gimp-2.8
00b61000-00b68000 rw-p 00561000 08:01 2098341                            /usr/bin/gimp-2.8
00b68000-00c1a000 rw-p 00000000 00:00 0 
0293e000-062b5000 rw-p 00000000 00:00 0                                  [heap]
7f1ba0000000-7f1ba0022000 rw-p 00000000 00:00 0 
7f1ba0022000-7f1ba4000000 ---p 00000000 00:00 0 
7f1ba8000000-7f1ba8022000 rw-p 00000000 00:00 0 
7f1ba8022000-7f1bac000000 ---p 00000000 00:00 0 
7f1bad294000-7f1bae294000 rw-s 00000000 00:04 2261006                    /SYSV00000000 (deleted)
7f1bae294000-7f1bb714a000 r--p 00000000 08:01 2884909                    /usr/share/icons/oxygen/icon-theme.cache
7f1bb714a000-7f1bc0000000 r--p 00000000 08:01 2884909                    /usr/share/icons/oxygen/icon-theme.cache
7f1bc0000000-7f1bc0022000 rw-p 00000000 00:00 0 
7f1bc0022000-7f1bc4000000 ---p 00000000 00:00 0 
7f1bc50a8000-7f1bc5114000 rw-p 00000000 00:00 0 
7f1bc5702000-7f1bc576d000 rw-p 00000000 00:00 0 
7f1bc57ab000-7f1bc57b1000 rw-p 00000000 00:00 0 
7f1bc57d2000-7f1bc57f5000 rw-p 00000000 00:00 0 
7f1bc57ff000-7f1bc5809000 rw-p 00000000 00:00 0 
7f1bc5813000-7f1bc5819000 rw-p 00000000 00:00 0 
7f1bc5819000-7f1bc5828000 rw-p 00000000 00:00 0 
7f1bc582d000-7f1bc596a000 rw-p 00000000 00:00 0 
7f1bc596a000-7f1bc5a0f000 r--p 00000000 08:01 2887928                    /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf
7f1bc5a0f000-7f1bc5a6f000 rw-s 00000000 00:04 2195473                    /SYSV00000000 (deleted)
7f1bc5a6f000-7f1bc5a70000 r-xp 00000000 08:01 2492814                    /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/immodules/im-cedilla.so
7f1bc5a70000-7f1bc5c6f000 ---p 00001000 08:01 2492814                    /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/immodules/im-cedilla.so
7f1bc5c6f000-7f1bc5c70000 r--p 00000000 08:01 2492814                    /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/immodules/im-cedilla.so
7f1bc5c70000-7f1bc5c71000 rw-p 00001000 08:01 2492814                    /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/immodules/im-cedilla.sogimp: terminated: Abandon
/usr/lib/gimp/2.0/plug-ins/script-fu: fatal error: GIMP crashed

(script-fu:16630): LibGimp-WARNING **: script-fu: gimp_flush(): error: Relais brisé (pipe)
patrick@PC1:~$ 

1368690092.png


1368690136.png

Vous pouvez essayer de votre côté pour voir.
Merci par avance.

Dernière modification par golgot200 (Le 27/06/2013, à 14:49)


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#2 Le 16/05/2013, à 21:52

golgot200

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

Personne pour ouvrir gimp et appuyer sur le bouton du filtre ? smile
C'est aussi rapide que d'allumer le PC ou de l'éteindre big_smile

Dernière modification par golgot200 (Le 16/05/2013, à 21:53)


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#3 Le 16/05/2013, à 23:06

mloupiot

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

Bonsoir,
idem chez moi, Gimp se ferme immédiatement (kubuntu 64 13.04, gimp 2.8.4).
Cela dit, je ne connais pas du tout ce filtre et peut-être y a-t-il des contraintes pour son utilisation…

Hors ligne

#4 Le 17/05/2013, à 06:49

golgot200

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

@mloupiot

Bonjour,
Merci beaucoup. Je connais bien ce filtre. C'est la première fois qu'il me fait ça.
kubuntu 64 13.10  gimp 2.8.4


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#5 Le 17/05/2013, à 10:35

golgot200

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

Je trouve ça désolant ce plantage. Et surtout que gimp 2.84 soit mis dans les dépots avec un plantage de ce type. Je ne sais plus à l'heure actuelle ce que veut dire stable.
Passer des heures à grapher et hop fermeture du logiciel, c'est pas cool, voir rageant. Heureusement que je sauvegarde de temps en temps le travail en progression.
Et pas moyen de revenir sur une ancienne version. La compilation est problématique chez moi avec gegl. Il faudrait que met un disable doc mais je ne sais pas faire. babl et gimp pas de problème. au passage j'ai compillé la version 2.9 (développement) pour voir. Pas de chance le filtre n'est pas inclue. Sur graphicalls j'ai trouvé une version 2.7.3. Le filtre fonctionne bien mais le mode fenètre à l'activation plante !!!!
J'ai une debian wheezy sous le coude. Je vais backuper mon système et voir la version sur celle-ci. Si jamais gimp est ok même si c'est old, je crois que je vais migrer directement sur cette bonne Debian.

Dernière modification par golgot200 (Le 17/05/2013, à 10:41)


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#6 Le 17/05/2013, à 10:59

golgot200

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

Bon, la version sous Debian est la 2.8.2. Et là ça ne plante pas. Mais c'est debian.


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#7 Le 17/05/2013, à 12:38

golgot200

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

J'ai récupéré les 8 paquets sous Debian et les ai installé. Nickel avec la version 2.8.2 . Je bloque la mise à jour .....

Dernière modification par golgot200 (Le 17/05/2013, à 14:15)


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#8 Le 17/05/2013, à 13:55

golgot200

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

Voilà Gimp 2.8.2 installé sur une 13.10

1368791678.png

Je peux cliquer sur les dégradés maintenant.

Le fichier preferences :

Package: gimp
Pin: version 2.8.2-2
Pin-priority: 1001

Package: gimp-data
Pin: version 2.8.2-2
Pin-priority: 1001

Package: gimp-data-extras
Pin: version 1:2.0.1-3
Pin-priority: 1001

Package: gimp-gmic
Pin: version 1.5.1.6+dfsg-4
Pin-priority: 1001

Package: gimp-plugin-registry
Pin: version 5.20120621
Pin-priority: 1001

Package: libgimp2.0 
Pin: version 2.8.2-2
Pin-priority: 1001

Package: libbabl-0.1-0 
Pin: version 0.1.10-1
Pin-priority: 1001

Package: libgegl-0.2-0 
Pin: version 0.2.0-2+nmu1
Pin-priority: 1001

Je débloquerai  gimp-plugin-registry gmic gimp-data-extras pour voir.

Dernière modification par golgot200 (Le 17/05/2013, à 14:13)


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#9 Le 18/05/2013, à 14:44

mloupiot

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

Au fait, vu que tu es aussi sous Kubuntu, il serait intéressant de savoir si le bug existe aussi sous Ubuntu.

Hors ligne

#10 Le 18/05/2013, à 16:10

golgot200

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

mloupiot

Bonjour,
Tu as raison, il faudrait mais je n'ai pas ubuntu. Donc si d'autres peuvent vérifier.
Mais je crois que c'est joué d'avance. Le bug y sera à coup sûr.


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#11 Le 18/05/2013, à 17:43

spad35

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

Salut,
Je ne peux que confirmer le bug sous Ubuntu 13.04, gimp 2.8.4  dès que je tente de choisir un dégradé  neutral

Pareil pour le filtre « cool metal »

.....  7f4393584000-7f43935bb000 r-xp 00000000 08:01 424752                     /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1
7f43935bb000-7f43937ba000 ---p 00037000 08:01 424752                     /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1gimp: terminated: Abandon
/usr/lib/gimp/2.0/plug-ins/script-fu: fatal error: GIMP crashed

(script-fu:12379): LibGimp-WARNING **: script-fu: gimp_flush(): error: Relais brisé (pipe)

Hors ligne

#12 Le 18/05/2013, à 19:30

golgot200

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

@spad35

Bonsoir,

Merci pour l'info. Donc plus de doute maintenant.
Pas de problème sur la version 2.8.2. Bien dommage tout de même. Je suis sûr que le bug est connu, et depuis un moment. Mais vu le développement de la version 2.9, je pense que c'est laissé de côté ....
Je vais changer le titre pour voir si quelqu'un aurait une soluce ou un réglage spécial à faire avant de lancer le filtre .

Dernière modification par golgot200 (Le 18/05/2013, à 19:32)


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#13 Le 18/05/2013, à 19:36

golgot200

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

Peut-être une piste :

http://www.pclinuxos.com/forum/index.php?topic=115515.0

quelqu'un est-il bon en anglais ?

Problem with Gimp Plugins
« Reply #15 on: April 26, 2013, 03:37:14 AM »
The problem is not old or new but any script that uses the Script-fu command 'gimp-context-set-gradient' Any script that brings up the script-fu gradient selector dialog experiences the same problem. Spent some time searching for a bug report but so far nothing.

Since gimp 2.8.4 debian unstable AFAIK experiences the same problem, it would indicate something in the code rather than the PCLOS compilation. However FWIW the Windows version works ok.

It is a bit of a toss-up, I don't use those old logo scripts but I do use recent such as path-blend. So is it back to Gimp 2.8.2 and the truncated text-to-path bug or stick with Gimp 2.8.4 with other bugs? (for the record, I have gone back to 2.8.2 (partition image of a couple of weeks ago, pinned the gimp packages and updated again.)
Hopefully it will be fixed soon but maybe a wait for Gimp 2.8.6 i.e. the M$ syndrome of even version numbers. lol.

Dernière modification par golgot200 (Le 18/05/2013, à 20:34)


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#14 Le 19/05/2013, à 18:25

philoup44

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

Salut golgot200
Sous Ubuntu 12.04 ---> Gimp 2.6.12
Alpha vers Logo > Glacé
Semble bien fonctionner !!

golgot200 a écrit :

Je trouve ça désolant ce plantage. Et surtout que gimp 2.84 soit mis dans les dépots avec un plantage de ce type. Je ne sais plus à l'heure actuelle ce que veut dire stable.

Y a pire, PITIVI, il m'a planté plusieurs fois le système, écran noir, extinction à l'arrache du PC  puis re-démarrage tongue
Et il est dans la Logithèque ?? tongue
Par défi, je continues à le "tester" tongue
Si tu aime le sport, essaie le, et après tu trouveras que Gimp c'est une Rolls en comparaison smile

Dernière modification par philoup44 (Le 19/05/2013, à 18:30)

Hors ligne

#15 Le 27/06/2013, à 14:48

golgot200

Re : [Résolu]Demande confirmation de bug Filtres sous Gimp ....

Bonjour.

Le problème semble résolu avec la version 2.8.6 du ppa.
Plus de plantage.
Je met en résolu.


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

Haut de page ↑